Opened 10 years ago

Closed 10 years ago

Last modified 10 years ago

#5518 closed defect

KQ4 support for Atari ST version – patch inside

Reported by: SF/fischersfritz Owned by: bluegr
Priority: normal Component: Engine: SCI
Version: Keywords: detection
Cc: Game: King's Quest 4

Description

ScummVM crashes upon invoking "Add Game" on the Atari ST version of King's Quest IV, writes the following to the console log:

The game in '../KingsQuest4' seems to be unknown. Please, report the following data to the ScummVM team along with name of the game you tried to add and its version/language/etc.: {"resource.002", 0, "a3cdb4848fb859fdd302976fff56490f", 535276}, {"resource.003", 0, "a3cdb4848fb859fdd302976fff56490f", 705074}, {"resource.001", 0, "a3cdb4848fb859fdd302976fff56490f", 450790}, {"resource.map", 0, "8800cd62b1eee93752099986dc704a16", 7416}, {"resource.004", 0, "a3cdb4848fb859fdd302976fff56490f", 478366}, ../../src-trunk/src/common/config-manager.cpp:575: failed assertion `isValidDomainName(domName)'

ScummVM version is 1.3.0svn54256 (Nov 16 2010 05:49:44) on MacOS X 10.4.9. Game language is English. Game version is 1.003.006 (double-sided diskettes), interpreter version is 1.001.008, release date is January 12, 1989.

Ticket imported from: #3110941. Ticket imported from: bugs/5518.

Attachments (1)

detection_tables.patch (978 bytes ) - added by SF/fischersfritz 10 years ago.
detection_tables.patch

Download all attachments as: .zip

Change History (6)

comment:1 by SF/fischersfritz, 10 years ago

FWIW, this combination of game version / interpreter version is not currently listed in the wiki at: http://wiki.scummvm.org/index.php/Sierra_Game_Versions

Not sure which section is appropriate, probably this one: http://wiki.scummvm.org/index.php/Sierra_Game_Versions#SCI0_.28late.29

by SF/fischersfritz, 10 years ago

Attachment: detection_tables.patch added

detection_tables.patch

comment:2 by SF/fischersfritz, 10 years ago

I have attached a patch to fix this, please apply.

comment:3 by SF/fischersfritz, 10 years ago

Summary: KQ4 Atari ST version unsupportedKQ4 support for Atari ST version – patch inside

comment:4 by bluegr, 10 years ago

Added in rev 54360

comment:5 by bluegr, 10 years ago

Keywords: detection added
Owner: set to bluegr
Status: newclosed
Note: See TracTickets for help on using tickets.